<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="card">
	<div class="card-header">
		{{ 'preConfigure.eventSummary.votes.title' | translate }}
	</div>
	<div class="card-body">
		<div class="list-group">
			<ul class="list-group-item list-group-item-light list-unstyled">
				<li *ngFor="let language of ['de', 'fr', 'it', 'rm']">
					<div class="d-flex gap-2">
						{{ voteSummary.voteDescription[language] }}
					</div>
				</li>
			</ul>
		</div>
		<dl class="row mb-3">


			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.votes.id' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ voteSummary.voteId }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.votes.position' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ voteSummary.votePosition }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.votes.regularAuthorizations' | translate }}
				({{ regularAuthorizations.length }})
			</dt>
			<dd class="col-sm-8">
				<ul class="list-unstyled">
					<li *ngIf="regularAuthorizations?.length === 0">
						{{ 'preConfigure.eventSummary.votes.emptyRegularAuthorizations' | translate }}
					</li>
					<li *ngFor="let authorization of regularAuthorizations">
						{{ authorization.authorizationName }}
					</li>
				</ul>
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.votes.testAuthorizations' | translate }}
				({{ testAuthorizations.length }})
			</dt>
			<dd class="col-sm-8">
				<ul class="list-unstyled">
					<li *ngIf="testAuthorizations.length === 0">
						{{ 'preConfigure.eventSummary.votes.emptyTestAuthorizations' | translate }}
					</li>
					<li *ngFor="let authorization of testAuthorizations">
						{{ authorization.authorizationName }}
					</li>
				</ul>
			</dd>
		</dl>

		<dl>
			{{ 'preConfigure.eventSummary.votes.questions' | translate }}
			<ul class="list-group">
				<li *ngFor="let question of questions" class="list-group-item list-group-item-light">
					<div class="d-flex gap-2">
						<p>
							{{ question.questionNumber }}.
						</p>

						<div class="flex-fill">
							<ul class="list-unstyled mb-3">
								<li
										*ngFor="let questionInfo of question.questionInfo"
										class="mb-2"
										[innerHTML]="questionInfo.longDescription | markdown: { inline: true } | async"
								></li>
							</ul>

							<div class="row">
								<div *ngFor="let answer of question.answers" class="col d-flex gap-2">
									<p>{{ answer.answerPosition }}.</p>

									<ul class="list-unstyled">
										<li *ngFor="let language of ['de', 'fr', 'it', 'rm']">
											{{ answer.answerInfo[language] }}
										</li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</li>
			</ul>
		</dl>
	</div>
</div>
